---
title: Start livestreaming a meeting
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Realtime Kit](https://developers.cloudflare.com/api/python/resources/realtime_kit)

[Livestreams](https://developers.cloudflare.com/api/python/resources/realtime_kit/subresources/livestreams)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Start livestreaming a meeting

realtime\_kit.livestreams.start\_livestreaming\_a\_meeting(strmeeting\_id, LivestreamStartLivestreamingAMeetingParams\*\*kwargs) -> [LivestreamStartLivestreamingAMeetingResponse](<https://developers.cloudflare.com/api/python/resources/realtime_kit#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_start_livestreaming_a_meeting_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/realtime/kit/{app\_id}/meetings/{meeting\_id}/livestreams

Starts livestream of a meeting associated with the given meeting ID. Retreive the meeting ID using the `Create a meeting` API.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

account\_id: str

The account identifier tag.

maxLength32

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20start_livestreaming_a_meeting%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

app\_id: str

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20start_livestreaming_a_meeting%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

meeting\_id: str

formatuuid

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20start_livestreaming_a_meeting%20%3E%20(params)%20default%20%3E%20(param)%20meeting_id%20%3E%20(schema)>)

name: Optional\[str]

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20start_livestreaming_a_meeting%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)>)

<details>

<summary>

video\_config: Optional\[<a href="https://developers.cloudflare.com/api/python/resources/realtime_kit/subresources/livestreams/methods/start_livestreaming_a_meeting#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20start_livestreaming_a_meeting%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)">VideoConfig</a>]

</summary>

height: Optional\[int]

Height of the livestreaming video in pixels

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20start_livestreaming_a_meeting%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20height">Link to this property</a>

width: Optional\[int]

Width of the livestreaming video in pixels

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20start_livestreaming_a_meeting%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)%20%3E%20(property)%20width">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20start_livestreaming_a_meeting%20%3E%20(params)%20default%20%3E%20(param)%20video_config%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class LivestreamStartLivestreamingAMeetingResponse: …

</summary>

<details>

<summary>

data: Optional\[Data]

</summary>

id: Optional\[str]

The livestream ID.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_start_livestreaming_a_meeting_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20id">Link to this property</a>

ingest\_server: Optional\[str]

The server URL to which the RTMP encoder sends the video and audio data.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_start_livestreaming_a_meeting_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ingest_server">Link to this property</a>

playback\_url: Optional\[str]

The web address that viewers can use to watch the livestream.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_start_livestreaming_a_meeting_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20playback_url">Link to this property</a>

<details>

<summary>

status: Optional\[Literal\["LIVE", "IDLE", "ERRORED", "INVOKED"]]

</summary>

One of the following:

"LIVE"

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_start_livestreaming_a_meeting_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"IDLE"

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_start_livestreaming_a_meeting_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

"ERRORED"

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_start_livestreaming_a_meeting_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

"INVOKED"

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_start_livestreaming_a_meeting_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_start_livestreaming_a_meeting_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20status">Link to this property</a>

stream\_key: Optional\[str]

Unique key for accessing each livestream.

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_start_livestreaming_a_meeting_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20stream_key">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_start_livestreaming_a_meeting_response%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

success: Optional\[bool]

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_start_livestreaming_a_meeting_response%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20livestream_start_livestreaming_a_meeting_response%20%3E%20(schema)>)

### Start livestreaming a meeting

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.livestreams.start_livestreaming_a_meeting(
    meeting_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    app_id="14a396e7-ca44-4937-bf1f-050a69118543",
    name="prdmmp-xhycsl",
)
print(response.data)
```

201 example

```
{
  "data": {
    "id": "7088bba8-f522-49a8-b59b-3cd0e946bbb0",
    "ingest_server": "rtmps://live.cloudflare.com:443/live/",
    "playback_url": "https://customer-s8oj0c1n5ek8ah1e.cloudflarestream.com/7de6a3fec0f9c05bf1df140950d3a237/manifest/video.m3u8",
    "status": "INVOKED",
    "stream_key": "f26566285faca6fbe2e79a73a66rsrrsrrsr3cde23a2bb7dbc6c2c1761b98f4e4"
  },
  "success": true
}
```

##### Returns Examples

201 example

```
{
  "data": {
    "id": "7088bba8-f522-49a8-b59b-3cd0e946bbb0",
    "ingest_server": "rtmps://live.cloudflare.com:443/live/",
    "playback_url": "https://customer-s8oj0c1n5ek8ah1e.cloudflarestream.com/7de6a3fec0f9c05bf1df140950d3a237/manifest/video.m3u8",
    "status": "INVOKED",
    "stream_key": "f26566285faca6fbe2e79a73a66rsrrsrrsr3cde23a2bb7dbc6c2c1761b98f4e4"
  },
  "success": true
}
```